Bug 1334749 - sssd fails to mark a connection as bad on searches that time out
Summary: sssd fails to mark a connection as bad on searches that time out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: Steeve Goveas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-10 12:47 UTC by Thorsten Scherf
Modified: 2020-05-02 18:22 UTC (History)
7 users (show)

Fixed In Version: sssd-1.14.0-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 07:18:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 4050 None None None 2020-05-02 18:22:24 UTC
Red Hat Product Errata RHEA-2016:2476 normal SHIPPED_LIVE sssd bug fix and enhancement update 2016-11-03 14:08:11 UTC

Description Thorsten Scherf 2016-05-10 12:47:03 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/3009

In case you have multiple servers defined in sssd.conf, it might happen that no failover takes place. When a connection to one server can be established and port 389 is reachable, but when the ldap search times out, sssd does not mark the connection as bad and keeps talking to this server instead of failing over to any of the other servers defined in the configuration.

Comment 1 Jakub Hrozek 2016-07-12 10:02:36 UTC
* master: c420ce830ac0b0b288a2a887ec2cfce5c748018c

Comment 5 errata-xmlrpc 2016-11-04 07:18:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2476.html


Note You need to log in before you can comment on or make changes to this bug.